%define name monotone-viz
%define version 0.14
%define release %mkrel 2

Summary: A small GTK+ application that visualizes monotone ancestry graphs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://oandrieu.nerim.net/monotone-viz/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ocaml-lablgtk2-devel camlp4 libgnomecanvas2-devel libopenssl-static-devel
Requires: monotone graphviz

%description
Monotone-viz is a small GTK+ application that visualizes monotone ancestry
graphs. Monotone is a free distributed version control system. Montone-viz
is developed in the Objective Caml language, using the GTK+ and
libgnomecanvas libraries (via LablGTK, an OCaml binding for GTK+), and it
uses the dot program from the Graphviz package. 

%prep
%setup -q

%build
%configure --without-local-lablgtk
%make

%install
rm -rf %buildroot
%makeinstall
install -d -m 0755 %buildroot/%_menudir
cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="/usr/bin/%{name}" \
needs="X11" section="More Applications/Development/Tools" \
title="Monotone-viz" longtitle="Visualizes monotone ancestry graphs" \
accept_url="false"
EOF

%clean
rm -rf %buildroot

%post 
%{update_menus} 

%postun 
%{clean_menus} 

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_menudir}/%{name}
%doc COPYING NEWS README

%changelog
* Sun Jun 18 2006 Pascal Terjan <pterjan@mandriva.org> 0.14-2mdv2007.0
- mkrel 

* Sun Apr 16 2006 Nick Brown <nickbrown@mandriva.org> 0.14-1mdk
- 0.14

* Wed Feb 8 2006 Nick Brown <nickbrown@mandriva.org> 0.13-1mdk
- new release

* Tue Nov 5 2005 Nick Brown <nickbrown@mandriva.org> 0.12-1mdk
- First Mandriva package release
